﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.IO;
using System.Diagnostics;

namespace DataGridHierarchy
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public TestData.Level0DataTable Data { get { return m_TestData.Level0; } set { throw new NotImplementedException(); } }


        private TestData m_TestData;
        public MainWindow()
        {
            InitializeComponent();
            m_TestData = new TestData();
            TestData.Level0Row RowLevel0 = m_TestData.Level0.AddLevel0Row("Id0", "Name0", Encoding.ASCII.GetBytes("abc"));
            TestData.Level1Row RowLevel1 = m_TestData.Level1.AddLevel1Row(RowLevel0, "Id1", "Name1" );
            DataContext = this;
        }

        private void xamDataGrid1_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            Debug.WriteLine(e.FieldLayout);
        }

 
    }
     
}
